class DragonflyRobot extends RotaryWingRobot config(USARBot);

//*********************************************************************************************************************
// DEFAULT PROPERTIES
//*********************************************************************************************************************
defaultproperties
{
    //ZK for dragonfly microvehicle body
    StaticMesh=StaticMesh'MAST_Meshes.Robots.DragonflyRobotBody'
    DrawScale=0.2
    //StaticMesh=StaticMesh'USARSim_Vehicles_Meshes.DragonflyRobot.DragonflyRobotBody'
    //DrawScale=1
    
    // Maximum velocities for the DragonflyRobot
    maxAltitudeVelocity = 5; // Maximum Up/Down (altitude) velocity, in meters/sec
    maxLinearVelocity = 5; // Maximum Front/Back (tilt) velocity, in meters/sec
    maxLateralVelocity = 5; // Maximum Left/Right (roll) velocity, in meters/sec
    maxRotationalVelocity = 1.5708; // Maximum Rotational (yaw) velocity, in rads/sec

    // Dimensions
    Dimensions=(X=0.99968,Y=0.99934,Z=0.19382) // X=Length=0.99968m, Y=Width=0.99934m, Z=Height=0.19382m.

    Begin Object Class=KarmaParamsRBFull Name=KParams0
        KActorGravScale=2.58
        KMaxAngularSpeed = 100
        KMaxSpeed = 25000
        KLinearDamping = 1
        KAngularDamping = 20
        KCOMOffset=(X=0.0108,Y=0.0102,Z=0.5)
        KInertiaTensor(0)=0.0864 // ((0.99968/2)^2+(0.19382/2)^2)/3 = 0.0864. See Dimensions...
        KInertiaTensor(3)=0.0864 // ((0.99934/2)^2+(0.19382/2)^2)/3 = 0.0864. See Dimensions...
        KInertiaTensor(5)=0.1665 // ((0.99968/2)^2+(0.99934/2)^2)/3 = 0.1665. See Dimensions...
        KStartEnabled=True
        bHighDetailOnly=False
        bClientOnly=False
        bKDoubleTickRate=True
        bKStayUpright=False
        bDestroyOnWorldPenetrate=True
        bDoSafetime=True
        KFriction=0.5
        KImpactThreshold=700.000000
     End Object
     KParams=KarmaParamsRBFull'USARBot.DragonflyRobot.KParams0'
}
